OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PBRep

# PBRep_Polygon3D Class Reference

`#include <PBRep_Polygon3D.hxx>`

Inheritance diagram for PBRep_Polygon3D:

[legend]

## Public Member Functions
Standard_EXPORT | PBRep_Polygon3D (const Handle(PPoly_Polygon3D)&P, const PTopLoc_Location &L)
virtual Standard_EXPORT Standard_Boolean | IsPolygon3D () const
| Returns True. .
Standard_EXPORT Handle_PPoly_Polygon3D | Polygon3D () const
| PBRep_Polygon3D ()
| PBRep_Polygon3D (const Storage_stCONSTclCOM &a)
| Handle (PPoly_Polygon3D) _CSFDB_GetPBRep_Polygon3DmyPolygon3D() const
void | _CSFDB_SetPBRep_Polygon3DmyPolygon3D (const Handle(PPoly_Polygon3D)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_PPoly_Polygon3D | myPolygon3D

## Constructor & Destructor Documentation

Standard_EXPORT PBRep_Polygon3D::PBRep_Polygon3D | ( | const Handle(PPoly_Polygon3D)& | P,
|  | const PTopLoc_Location & | L
| ) |

PBRep_Polygon3D::PBRep_Polygon3D | ( |  | ) | `[inline]`

PBRep_Polygon3D::PBRep_Polygon3D | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

void PBRep_Polygon3D::_CSFDB_SetPBRep_Polygon3DmyPolygon3D | ( | const Handle(PPoly_Polygon3D)& | p | ) | `[inline]`

Standard_EXPORT const PBRep_Polygon3D::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PBRep_CurveRepresentation.

PBRep_Polygon3D::Handle | ( | PPoly_Polygon3D |  | ) | const`[inline]`

virtual Standard_EXPORT Standard_Boolean PBRep_Polygon3D::IsPolygon3D | ( |  | ) | const`[virtual]`

| Reimplemented from PBRep_CurveRepresentation.

Standard_EXPORT Handle_PPoly_Polygon3D PBRep_Polygon3D::Polygon3D | ( |  | ) | const

## Field Documentation

Handle_PPoly_Polygon3D PBRep_Polygon3D::myPolygon3D`[private]`

The documentation for this class was generated from the following file:

- PBRep_Polygon3D.hxx